# Merchant Information

Used to request information about the merchant.

Note: The GET request does not support a request body. Sending an empty request body may result in an error.

Integration Methods:
- Host Direct
- Locally Installed UTG
- Commerce Engine For On Premise
- Commerce Engine For Cloud

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

Endpoint: GET /merchants/merchant
Version: 1.7.56
Security: AccessToken

## Header parameters:

  - `InterfaceVersion` (string, required)
    Refers to the version of the program or application that is sending requests to Shift4. The following special characters are not allowed&colon;  $ % &colon; ^ - ~  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "2.1"

  - `InterfaceName` (string, required)
    Refers to the name of the program or application that is sending requests to Shift4. This should be the name of the program that you purchased or created. The following special characters are not allowed&colon;  $ % &colon; ^ - ~ `  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "ForwardPOS"

  - `CompanyName` (string, required)
    Refers to the vendor or partner that designed and certified the interface. The information you use in this field should match what Shift4 has on file or what was agreed upon in your Integration Plan. The following special characters are not allowed&colon;  $ % &colon; ^ - ~ `  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "PAWS"

  - `AccessToken` (string, required)
    A security credential used to authenticate API requests and all i4Go® authorizeClient/preauthorizeClient requests. An Access Token is the alias for the merchant account and interface being used. The Access Token is required in all requests except an Access Token Exchange request, which generates an Access Token using an authToken and clientGuid.
    Example: "EA79FB05-3AA7-4500-AF9A-73F986FF2C1D"

  - `ApiOptions` (string)
    API Options modify the request being made. Multiple API Options can be sent in a comma separated list with no spaces. See the API Options section for more information.

Value            | Description
-----------------|------------
RETURNPROCESSORS | Returns the processor information and card ranges the merchant is configured for.
    Example: "RETURNPROCESSORS"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Default:
      - `result` (array)
      - `result.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `result.merchant` (object)
      - `result.merchant.addressLine1` (string)
        First line in the merchant’s business address as configured with Shift4.
      - `result.merchant.addressLine2` (string)
        Second line in the merchant’s business address as configured with Shift4.
      - `result.merchant.city` (string)
        City of the merchant’s business address as configured with Shift4.
      - `result.merchant.dayEndingTime` (string)
        The time the merchant’s business day ends as configured with Shift4.

Note: This is only applicable for merchants based in the USA. If the merchant is not based in the USA, this field will not be returned.
      - `result.merchant.defaultCurrency` (string)
        Merchant's default currency. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `result.merchant.supportedCurrencies` (string)
        Comma separated list of currnecies the merchant supports. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `result.merchant.industry` (string)
        Classifies the merchant type for a merchant’s account with Shift4.

Value|Description
-----|-----------
A    | Auto Rental
F    | Food & Beferage (F&B)
H    | Hotel
M    | Mail order/Telephone Order (MOTO) or E-Commerce
R    | Retail
P    | Passenger Transport
        Enum: "A", "F", "H", "M", "R", "P"
      - `result.merchant.mid` (number)
        The merchant ID associated with the merchant account.
      - `result.merchant.name` (string)
        The merchant’s business name as configured with Shift4.
      - `result.merchant.region` (string)
        Region (State) of the merchant’s business address as configured with Shift4.
      - `result.merchant.phone` (string)
        The merchant’s business telephone number as configured with Shift4.
      - `result.merchant.postalCode` (string)
        ZIP/Postal Code of the merchant’s business address as configured with Shift4.
      - `result.merchant.serialNumber` (string)
        The serial number of the merchant's account with Shift4.
      - `result.merchant.cardTypes` (array)
        Array of Merchant Card Types
      - `result.merchant.cardTypes.type` (string)
        An abbreviation used to specify the type of card that was used when processing a transaction.

Value| Description
-----|------------
AX   | American Express
AP   | Alipay
BC   | Backed Card       
CI   | Citgo        
DB   | Debit card
GC   | Gift Card
JC   | JCB
MC   | Mastercard
NS   | Discover/JCB/Novus
PL   | Private Label
SC   | Sears Canada
VS   | Visa
WP   | WeChat Pay
YC   | IT’S YOUR CARD
        Enum: "AX", "AP", "BC", "CI", "DB", "GC", "JC", "MC", "NS", "PL", "SC", "VS", "WP", "YC"
      - `result.merchant.cardTypes.voiceCenter` (object)
      - `result.merchant.cardTypes.voiceCenter.accountNumber` (string)
        The merchant’s account number as configured with Shift4. This field is returned in response to a [Merchant Information](/apis/payments-platform-rest/openapi/merchants/merchantsmerchant) request because the clerk is required to provide it when attempting to obtain a voice authorization code. This information must be displayed to the clerk.
      - `result.merchant.cardTypes.voiceCenter.phoneNumber` (string)
        The phone number a clerk must call to obtain a voice authorization code. This field is returned in response to a [Merchant Information](/apis/payments-platform-rest/openapi/merchants/merchantsmerchant) request. This information must be displayed to the clerk.
      - `result.merchant.dcc` (object)
      - `result.merchant.dcc.enabled` (string)
        Determines whether the merchant has dynamic currency conversion enabled.

Value|Description
-----|-----------
Y    | DCC is enabled
N    | DCC is not enabled
        Enum: "Y", "N"
      - `result.merchant.dcc.secondaryLookupDisclaimer` (string)
        Determines whether the merchant must perform a secondary rate lookup before capture and if a secondary disclaimer is required.

Value|Description
-----|-----------
Y    | Yes - Secondary rate-lookup on capture, accept/decline screen, and larger disclaimer on printed receipt required.
N    | No - Secondary rate-lookup, accept/decline screen, and larger disclaimer NOT required
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.dcc.cardTypes` (array)
        Array of DCC supported card types
      - `result.merchant.dcc.cardTypes.type` (string)
        An abbreviation used to specify the type of card that was used when processing a transaction.

Value| Description
-----|------------
AX   | American Express
AP   | Alipay
BC   | Backed Card       
CI   | Citgo        
DB   | Debit card
GC   | Gift Card
JC   | JCB
MC   | Mastercard
NS   | Discover/JCB/Novus
PL   | Private Label
SC   | Sears Canada
VS   | Visa
WP   | WeChat Pay
YC   | IT’S YOUR CARD
        Enum: same as `result.merchant.cardTypes.type` in "Default" (14 values)
      - `result.merchant.dcc.cardTypes.processor` (string)
        The processor configured for the card type.
      - `result.merchant.gtv` (object)
      - `result.merchant.gtv.enabled` (string)
        Indicates whether merchant is configured to support Tokenization using Shift4’s Global Token Vault (GTV) solution. 

Value|Description
-----|-----------
Y    | GTV is enabled
N    | GTV is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.surcharge` (object)
      - `result.merchant.surcharge.enabled` (string)
        Indicates whether merchant is configured to support Surcharging. 

Value|Description
-----|-----------
Y    | Surcharging is enabled
N    | Surcharging is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.autoClose` (object)
      - `result.merchant.autoClose.enabled` (string)
        Indicates whether merchant has Auto Close enabled for transaction batches. 

Value|Description
-----|-----------
Y    | Auto Close is enabled
N    | Auto Close is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.server` (object)
      - `result.server.name` (string)
        The name of the server that processed the request.
    - RETURNPROCESSORS:
      - `result` (array)
      - `result.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `result.merchant` (object)
      - `result.merchant.addressLine1` (string)
        First line in the merchant’s business address as configured with Shift4.
      - `result.merchant.addressLine2` (string)
        Second line in the merchant’s business address as configured with Shift4.
      - `result.merchant.city` (string)
        City of the merchant’s business address as configured with Shift4.
      - `result.merchant.dayEndingTime` (string)
        The time the merchant’s business day ends as configured with Shift4.

Note: This is only applicable for merchants based in the USA. If the merchant is not based in the USA, this field will not be returned.
      - `result.merchant.defaultCurrency` (string)
        Merchant's default currency. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `result.merchant.supportedCurrencies` (string)
        Comma separated list of currnecies the merchant supports. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `result.merchant.industry` (string)
        Classifies the merchant type for a merchant’s account with Shift4.

Value|Description
-----|-----------
A    | Auto Rental
F    | Food & Beferage (F&B)
H    | Hotel
M    | Mail order/Telephone Order (MOTO) or E-Commerce
R    | Retail
P    | Passenger Transport
        Enum: same as `result.merchant.industry` in "Default" (6 values)
      - `result.merchant.mid` (number)
        The merchant ID associated with the merchant account.
      - `result.merchant.name` (string)
        The merchant’s business name as configured with Shift4.
      - `result.merchant.region` (string)
        Region (State) of the merchant’s business address as configured with Shift4.
      - `result.merchant.phone` (string)
        The merchant’s business telephone number as configured with Shift4.
      - `result.merchant.postalCode` (string)
        ZIP/Postal Code of the merchant’s business address as configured with Shift4.
      - `result.merchant.serialNumber` (string)
        The serial number of the merchant's account with Shift4.
      - `result.merchant.cardTypes` (array)
        Array of Merchant Card Types
      - `result.merchant.cardTypes.type` (string)
        An abbreviation used to specify the type of card that was used when processing a transaction.

Value| Description
-----|------------
AX   | American Express
AP   | Alipay
BC   | Backed Card       
CI   | Citgo        
DB   | Debit card
GC   | Gift Card
JC   | JCB
MC   | Mastercard
NS   | Discover/JCB/Novus
PL   | Private Label
SC   | Sears Canada
VS   | Visa
WP   | WeChat Pay
YC   | IT’S YOUR CARD
        Enum: same as `result.merchant.cardTypes.type` in "Default" (14 values)
      - `result.merchant.cardTypes.processor` (string)
        The processor configured for the card type.
      - `result.merchant.cardTypes.ranges` (array)
        Array of card ranges
      - `result.merchant.cardTypes.ranges.lower` (string)
        Lower limit for the card range
      - `result.merchant.cardTypes.ranges.upper` (string)
        Upper limit for the card range
      - `result.merchant.cardTypes.ranges.lengths` (string)
        Comma separated list of possible lengths for the card range.
      - `result.merchant.cardTypes.ranges.lunhCheck` (boolean)
        Specifies whether or not the card range will pass the luhn check.
      - `result.merchant.cardTypes.voiceCenter` (object)
      - `result.merchant.cardTypes.voiceCenter.accountNumber` (string)
        The merchant’s account number as configured with Shift4. This field is returned in response to a [Merchant Information](/apis/payments-platform-rest/openapi/merchants/merchantsmerchant) request because the clerk is required to provide it when attempting to obtain a voice authorization code. This information must be displayed to the clerk.
      - `result.merchant.cardTypes.voiceCenter.phoneNumber` (string)
        The phone number a clerk must call to obtain a voice authorization code. This field is returned in response to a [Merchant Information](/apis/payments-platform-rest/openapi/merchants/merchantsmerchant) request. This information must be displayed to the clerk.
      - `result.merchant.dcc` (object)
      - `result.merchant.dcc.enabled` (string)
        Determines whether the merchant has dynamic currency conversion enabled.

Value|Description
-----|-----------
Y    | DCC is enabled
N    | DCC is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.dcc.secondaryLookupDisclaimer` (string)
        Determines whether the merchant must perform a secondary rate lookup before capture and if a secondary disclaimer is required.

Value|Description
-----|-----------
Y    | Yes - Secondary rate-lookup on capture, accept/decline screen, and larger disclaimer on printed receipt required.
N    | No - Secondary rate-lookup, accept/decline screen, and larger disclaimer NOT required
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.dcc.cardTypes` (array)
        Array of DCC supported card types
      - `result.merchant.dcc.cardTypes.type` (string)
        An abbreviation used to specify the type of card that was used when processing a transaction.

Value| Description
-----|------------
AX   | American Express
AP   | Alipay
BC   | Backed Card       
CI   | Citgo        
DB   | Debit card
GC   | Gift Card
JC   | JCB
MC   | Mastercard
NS   | Discover/JCB/Novus
PL   | Private Label
SC   | Sears Canada
VS   | Visa
WP   | WeChat Pay
YC   | IT’S YOUR CARD
        Enum: same as `result.merchant.cardTypes.type` in "Default" (14 values)
      - `result.merchant.dcc.cardTypes.processor` (string)
        The processor configured for the card type.
      - `result.merchant.gtv` (object)
      - `result.merchant.gtv.enabled` (string)
        Indicates whether merchant is configured to support Tokenization using Shift4’s Global Token Vault (GTV) solution. 

Value|Description
-----|-----------
Y    | GTV is enabled
N    | GTV is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.surcharge` (object)
      - `result.merchant.surcharge.enabled` (string)
        Indicates whether merchant is configured to support Surcharging. 

Value|Description
-----|-----------
Y    | Surcharging is enabled
N    | Surcharging is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.merchant.autoClose` (object)
      - `result.merchant.autoClose.enabled` (string)
        Indicates whether merchant has Auto Close enabled for transaction batches. 

Value|Description
-----|-----------
Y    | Auto Close is enabled
N    | Auto Close is not enabled
        Enum: same as `result.merchant.dcc.enabled` in "Default" (2 values)
      - `result.server` (object)
      - `result.server.name` (string)
        The name of the server that processed the request.

## Response 400 fields (application/json):

  - `result` (array)

  - `result.error` (object)

  - `result.error.code` (integer)
    Code indicating the type of error that occurred. Refer to the [Error Codes](/guides/appendices/error-codes) section of this document for more details.

Note: This is currently only supported for European merchant processing.

  - `result.error.severity` (string)
    Severity level of the error.

| Severity | Description                                                       |
| -------- | ----------------------------------------------------------------  |
| Info     | Action not required - Data input/formatting is incorrect          |
| Error    | Action may be required - Communication, timeout or network issue  |
| Alert    | Action required - System issue                                    |
    Enum: "Info", "Error", "Alert"

  - `result.error.shortText` (string)
    Abbreviated error message that is always returned if an error condition exists

  - `result.error.longText` (string)
    Extended error message that is returned if an error condition exists.

  - `result.error.primaryCode` (integer)
    Code indicating the type of error that occurred. Refer to the [Error Codes](/guides/appendices/error-codes) section of this document for more details.

  - `result.error.secondaryCode` (integer)
    This code supplements the code specified in the error.primaryCode field to provide additional information about the error that occurred.

  - `result.server` (object)

  - `result.server.name` (string)
    The name of the server that processed the request.

## Response 504 fields (application/json):

  - `result` (array)

  - `result.error` (object)

  - `result.lighthouse` (object)

  - `result.lighthouse.data` (string)
    Base64 encoded JSON formatted data that will be returned from Lighthouse to be passed back to SkyTab. This data will contain variable information.

  - `result.server` (object)


